summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2010-05-11 22:54:58 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:54:58 +0200
commitd51793028130915a682c988caedaa86ae143d41a (patch)
treecea0975930489afa010439d1ff288bb12796adf4 /network
parentecac12763b1242e543c315e4b0e3c02e7de071f7 (diff)
downloadslackbuilds-d51793028130915a682c988caedaa86ae143d41a.tar.gz
slackbuilds-d51793028130915a682c988caedaa86ae143d41a.tar.xz
network/nethogs: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/nethogs/README9
-rw-r--r--network/nethogs/nethogs.SlackBuild72
-rw-r--r--network/nethogs/nethogs.info8
-rw-r--r--network/nethogs/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/network/nethogs/README b/network/nethogs/README
new file mode 100644
index 0000000000..9abc86ad8f
--- /dev/null
+++ b/network/nethogs/README
@@ -0,0 +1,9 @@
+NetHogs is a small 'net top' tool. Instead of breaking the traffic
+down per protocol or per subnet, like most tools do, it groups
+bandwidth by process. NetHogs does not rely on a special kernel
+module to be loaded. If there's suddenly a lot of network traffic,
+you can fire up NetHogs and immediately see which PID is causing
+this. This makes it easy to indentify programs that have gone wild
+and are suddenly taking up your bandwidth.
+
+Depends on libcap, available at SlackBuilds.org
diff --git a/network/nethogs/nethogs.SlackBuild b/network/nethogs/nethogs.SlackBuild
new file mode 100644
index 0000000000..e1985eb673
--- /dev/null
+++ b/network/nethogs/nethogs.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for <nethogs>
+# Written by Michales Michaloudes korgie@gmail.com
+
+# Modified by Erik Hanson <erik@slackbuilds.org>
+# sed in SLKCFLAGS and removed template left-overs.
+
+# Exit on most errors
+set -e
+
+PRGNAM=nethogs
+VERSION=0.6.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "Piii" ]; then
+ SLKCFLAGS="-O2 -march=pentium3 -pipe -fomit-frame-pointer"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvzf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+# Delete some useless label (halts the compiler)
+sed -i -e '/TODO/d' -e '/default\:/d' decpcap.c
+
+# Modify the Makefile
+sed -i -e 's:/usr/share/man/:/usr/man/:' Makefile
+
+# Use ARCH defined CFLAGS
+sed -i -e "s/-O2/${SLKCFLAGS}/" Makefile
+
+# make temp directories
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/doc
+mkdir -p $PKG/usr/man/man8
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION/
+cp -a DESIGN Changelog INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/nethogs/nethogs.info b/network/nethogs/nethogs.info
new file mode 100644
index 0000000000..bab5070b08
--- /dev/null
+++ b/network/nethogs/nethogs.info
@@ -0,0 +1,8 @@
+PRGNAM="nethogs"
+VERSION="0.6.0"
+HOMEPAGE="http://nethogs.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/nethogs/nethogs-0.6.0.tar.gz"
+MD5SUM="d7fc44acd19cb55ee32137540f6a6f0e"
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/network/nethogs/slack-desc b/network/nethogs/slack-desc
new file mode 100644
index 0000000000..d0a87f313a
--- /dev/null
+++ b/network/nethogs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+nethogs: NetHogs (a small 'net top' tool)
+nethogs:
+nethogs: NetHogs is a small 'net top' tool. Instead of breaking the traffic
+nethogs: down per protocol or per subnet, like most tools do, it groups
+nethogs: bandwidth by process. NetHogs does not rely on a special kernel
+nethogs: module to be loaded. If there's suddenly a lot of network traffic,
+nethogs: you can fire up NetHogs and immediately see which PID is causing
+nethogs: this. This makes it easy to indentify programs that have gone wild
+nethogs: and are suddenly taking up your bandwidth.
+nethogs:
+nethogs: